# Item config

Here is an example item config with comments to explain the fields and values.&#x20;

The material field supports items from other plugins as well.

* `nexo:item_id`
* `mythicmobs:item_id`
* `customfishing:item_id`
* `mmoitems:item_type:item_id`
* `ei:item_id` - ExecutableItems
* `eb:item_id` - ExecutableBlocks
* `ia:namespace:id` - ItemsAdder
* `oraxen:item_id`
* `self_head` - This will display the player's head
* `itemedit:server_item_id` - ItemEdit
* `emf:rarity:fish_id` - EvenMoreFish 2.0+
* `kgenerators:generator_id` - KGenerators
* `craftengine:item_id` - CraftEngine, can be namespaced like `craftengine:default:some_hat`
* `crackshot:item_id` - CrackShot
* `eco:ecoarmor:set_<set>_<slot>` -> `eco:ecoarmor:set_reaper_boots`
* `eco:ecoitems:<id>` -> `eco:ecoitems:grappling_hook`
* `eco:talismans:<id>`
* `eco:ecoscrolls:scroll_<scroll_id>`
* And every other eco plugin item is using their lookup system prefixed with `eco:`

```yaml
my-item:
  # Optional. Only use it if you have more than 1 item in the same slot
  # with view-requirements
  priority: 1
  # Display name, optional
  name: "My item"
  # Item lore, optional
  lore:
    - "Line 1"
    - "Line 2"
    - "[wrap:25] A very long lore line that will be wrapped into multiple lines. Very useful when combined with locale placeholders."
  # Only useful when you have a base item config and one of the Aurora plugins
  # merging another item config into this one. Instead of overriding the entire lore
  # this will just append the lines at the end.
  # Optional
  append-lore:
    - "Last line 1"
    - "Last line 2"
  # Lore lines based on conditions
  conditional-lore:
    - conditions:
        - "[permission] my.little.permission"
        - "these conditions have AND relation"
      lore:
        - "Line 3"
        - "Line 4"
    - conditions:
        - "[permission] my.another.permission"
      lore:
        - "Line 5"
  # REQUIRED, Any valid material from spigot Material enum
  # This supports items from other plugins like "oraxen:item_id" 
  material: STONE
  # Optional
  custom-model-data: 10
  # Optional 1.21.4+
  item-model: "your:item-model"
  # Custom tooltip style, 1.21.2+
  tooltip-style: "your:tooltip-style"
  # Completely hides the item tooltip if true, 1.20.5+
  hide-tooltip: true
  # Where should be the item in the menu?
  # This is sometimes ignored when other slot patterns are in use
  slot: 3
  # If you use this instead of slot, it will put the item in multiple slots
  # Useful for 3D or other custom menus with oraxen/itemsadder
  slots: [3, 4, 5]
  # How many should be displayed? Defaults to 1, optional
  amount: 1
  # Any valid spigot ItemFlag, optional
  flags:
    - "HIDE_ATTRIBUTES"
    - "SOME OTHER FLAG"
  # Any valid vanilla spigot enchant, optional
  # Format: enchant namespaced key: level
  enchantments:
    sharpness: 5
  # Skull config for player heads, optional
  # For this to work, material must be PLAYER_HEAD
  skull:
    # Only provide one of these
    base64: "base64 texture here"
    url: "skin url here"
  # Potion config, optional
  potion:
    # Any valid spigot potion type
    type: "WATER"
    extended: true
    upgraded: false
  # Click commands, optional
  # This uses CommandDispatcher
  on-click:
    - "[console] say Hi %player_name%"
  on-left-click:
    - "[console] say Hi %player_name%"
  on-right-click:
    - "[console] say Hi %player_name%"
  # Requirements to view this item
  view-requirements:
    - "[permission] example.permission"
  # Requirements to run any click actions defined above
  # This has left-click and right-click variants as well
  click-requirements:
    - requirement: "[money] 8000"
      # What should we run when the player clicks but the requirement isn't met?
      deny-actions:
        - "[message] &cYou don't have enough money"
  
  
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.auroramc.gg/aurora/item-config.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
